<?
	$plugin_info = array(
		'pi_name'			=> 'TK SWF Object Embed',
		'pi_version'		=> '0.3',
		'pi_author'			=> 'Tom Kiss',
		'pi_author_url'		=> 'http://www.tomkiss.net',
		'pi_description'	=> 'Embeds a flash file in to a template, using SWF Object.',
		'pi_usage'			=> tkswfobjectembed::usage()
	);
	
	class tkswfobjectembed	{
	
		var $return_data = "";
	
		function tkswfobjectembed()	{
			global $TMPL;
			
			// Fetch params from plugin tag
			$file = $TMPL->fetch_param('file');
			if (empty($file)) {
				$file = $TMPL->fetch_param('src');
			}
			$width = $TMPL->fetch_param('width');
			$height = $TMPL->fetch_param('height');
			$altcontent = (!$TMPL->tagdata) ? '' : $TMPL->tagdata;
			$flashvars = (!$TMPL->fetch_param('flashvars')) ? '' : $TMPL->fetch_param('flashvars'); 
			$params = (!$TMPL->fetch_param('params')) ? '' : $TMPL->fetch_param('params'); 
			$version = (!$TMPL->fetch_param('version')) ? 9 : $TMPL->fetch_param('version');
			$id = (!$TMPL->fetch_param('id')) ? 'flashcontent' : $TMPL->fetch_param('id'); 
			$class = (!$TMPL->fetch_param('class')) ? 'flashcontent' : $TMPL->fetch_param('class');
			$express = (!$TMPL->fetch_param('express')) ? '/images/expressInstall.swf' : $TMPL->fetch_param('express');
			
			// Ouput the HTML
			$flashmovie = "";
			$flashmovie .= '
		<div id="'.$id.'">
			'.$altcontent.'
		</div>
		
		<script type="text/javascript">
		<!--
			var flashvars = {
					';
			if (!empty($flashvars)) {
				$flashvars = explode(",", $flashvars);
				for ($i =0; $i<sizeof($flashvars); $i++) {
					$flashvar = explode("=", $flashvars[$i]);
					$flashmovie .= $flashvar[0].':"'.$flashvar[1].((($i+1)==sizeof($flashvars)) ? '"' : '",').'
					';
				}
			}
			$flashmovie .= '
			};
			var params = {
					';
			if (!empty($params)) {
				$params = explode(",", $params);
				for ($i =0; $i<sizeof($params); $i++) {
					$param = explode("=", $params[$i]);
					$flashmovie .= $param[0].':"'.$param[1].((($i+1)==sizeof($params)) ? '"' : '",').'
					';
				}
			}
			$flashmovie .= '
			};
			var attributes = {    
				id: "'.$id.'",
				name: "'.$id.'"
			};
			swfobject.embedSWF("'.$file.'", "'.$id.'", "'.$width.'", "'.$height.'", "'.$version.'", "'.$express.'", flashvars, params, attributes);

		-->
		</script>
	';
		  	
			$this->return_data = $flashmovie;
		}
		
// ----------------------------------------
//  Plugin Usage
// ----------------------------------------

// This function describes how the plugin is used.
//  Make sure and use output buffering

function usage()
{
ob_start(); 
?>

Embeds flash file in to page using swfobject.js

Note:
swfobject.js 2.1 is required for this plugin to work in any outputted template.

---------------------------------

Parameters

src - The location of the flash file you are embedding.
width - Width of the embedded file.
height - Height of the embedded file. 
flashvars - Flash variables being passed to the swf file, in a comma seperated list.
params - Flash parameters being passed to the swf file, in a comma seperated list.
version - The flash version of the embedded file. If this version is not found on the users machine, then the alternate content will be displayed.
id - An ID attribute for the containing div for the flash content. This is required if there is to be more than one flash embed on one page.
class - a class attribute for the containing div for the flash content.
express - The location of the expressInstall.swf file, which will be shown to users without flash. This helps them to install flash faster.

Tag content - Anything placed between the exp:tkswfobjectembed tag will be displayed to users who either: do not have javascript running, do not have the flash player installed or do not have the correct version of the flash player.

---------------------------------

Example:

{exp:tkswfobjectembed file="http://www.youtube.com/v/JB_deAcoC2I" version="8" width="425" height="344" flashvars="hl=en,fs=1" params="allowFullScreen=true,wmode=false" express="/image/expressInstall.swf"}
<p>Oops! You don't appear to have flash installed.</p>
{/exp:tkswfobjectembed}


<?php
$buffer = ob_get_contents();
	
ob_end_clean(); 

return $buffer;
}
// END		
		
		
	}
?>